gr::gsm::controlled_fractional_resampler_cc Class Referenceabstract

<+description of block+> More...

`#include <controlled_fractional_resampler_cc.h>`

Inheritance diagram for gr::gsm::controlled_fractional_resampler_cc:

## Public Types

typedef std::shared_ptr< controlled_fractional_resampler_cc > | sptr

## Public Member Functions

virtual float | mu () const =0
virtual float | resamp_ratio () const =0
virtual void | set_mu (float mu)=0
virtual void | set_resamp_ratio (float resamp_ratio)=0

## Static Public Member Functions

static sptr | make (float phase_shift, float resamp_ratio)
| Return a shared_ptr to a new instance of grgsm::controlled_fractional_resampler_cc.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<controlled_fractional_resampler_cc> gr::gsm::controlled_fractional_resampler_cc::sptr

## Member Function Documentation

## make()

sptr gr::gsm::controlled_fractional_resampler_cc::make | ( | float | phase_shift,
|  | float | resamp_ratio )

static

Return a shared_ptr to a new instance of grgsm::controlled_fractional_resampler_cc.

To avoid accidental use of raw pointers, grgsm::controlled_fractional_resampler_cc's constructor is in a private implementation class. grgsm::controlled_fractional_resampler_cc::make is the public interface for creating new instances.

References resamp_ratio().

## mu()

virtual float gr::gsm::controlled_fractional_resampler_cc::mu | ( |  | ) | const

pure virtual

Implemented in gr::gsm::controlled_fractional_resampler_cc_impl.

Referenced by set_mu().

## resamp_ratio()

virtual float gr::gsm::controlled_fractional_resampler_cc::resamp_ratio | ( |  | ) | const

pure virtual

Implemented in gr::gsm::controlled_fractional_resampler_cc_impl.

Referenced by make(), and set_resamp_ratio().

## set_mu()

virtual void gr::gsm::controlled_fractional_resampler_cc::set_mu | ( | float | mu | ) |

pure virtual

Implemented in gr::gsm::controlled_fractional_resampler_cc_impl.

References mu().

## set_resamp_ratio()

virtual void gr::gsm::controlled_fractional_resampler_cc::set_resamp_ratio | ( | float | resamp_ratio | ) |

pure virtual

Implemented in gr::gsm::controlled_fractional_resampler_cc_impl.

References resamp_ratio().

The documentation for this class was generated from the following file:

- controlled_fractional_resampler_cc.h